from tortoise.models import Model
from tortoise.fields import IntField, BigIntField, CharField, TextField, ForeignKeyField

class Action(Model):
  id = IntField(pk=True)
  name = CharField(max_length=64, unique=True)
  template = TextField()

class Gif(Model):
  id = IntField(pk=True)
  action = ForeignKeyField('models.Action', related_name='gifs')
  file_id = CharField(max_length=64, unique=True)

class UserColor(Model):
  id = IntField(pk=True)
  username = CharField(max_length=256, unique=True)
  color = IntField()

class StickerPack(Model):
  id = IntField(pk=True)
  short_name = CharField(max_length=256, unique=True)
  sid = BigIntField()
  hash = BigIntField()

  stickers_count = IntField(default=0)
